%global gitdate 20231004
%global gitversion 23d05703

Name:           gfxstream
Version:        0.1.2
Release:        1.%{gitdate}git%{gitversion}%{?dist}

Summary:        Graphics Streaming Kit
License:        MIT OR Apache-2.0
URL:            https://android.googlesource.com/platform/hardware/google/gfxstream

#VCS: https://android.googlesource.com/platform/hardware/google/gfxstream
# git snapshot.  to recreate, run:
# ./make-git-snapshot.sh `cat commitid`
Source0:        gfxstream-%{gitdate}.tar.xz
Source1:        make-git-snapshot.sh

BuildRequires:  gcc
BuildRequires:  g++
BuildRequires:  meson
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(aemu_base)
BuildRequires:  pkgconfig(aemu_host_common)
BuildRequires:  pkgconfig(aemu_logging)
BuildRequires:  libglvnd-devel
ExcludeArch:    %{ix86} %{power64} s390x


%description
Graphics Streaming Kit is a code generator that makes it easier to serialize and
forward graphics API calls from one place to another:
 - from a virtual machine guest to host for virtualized graphics
 - from one process to another for IPC graphics
 - from one computer to another via network sockets

%package devel
Summary: gfxstream development files
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
gfxstream development files, used by QEMU to build against.


%prep
%setup -q -n %{name}-%{gitdate}

%build
%meson
%meson_build

%install
%meson_install


%files
%license LICENSE
%doc README.md
%{_libdir}/libgfxstream_backend.so.0*

%files devel
%dir %{_includedir}/gfxstream/
%{_includedir}/gfxstream/*
%{_libdir}/libgfxstream_backend.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Sep 12 2023 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.1.2-1.20231004git23d05703
- Initial packaging (rhbz#2242058)
